FOREIGN_PNM_READ_TYPE(3)

EXPERIMENTAL_FUNC
foreign_pnm_read_type - Read the type of a PNM file.

SYNOPSIS
#include <karma_foreign.h>

unsigned int foreign_pnm_read_type

(Channel channel, flag *binary)

DESCRIPTION
Read the type of a PNM file.

channel
    The channel to read from.

binary
    The value TRUE is written here if the file is in binary format, else FALSE is written here.

RETURN VALUE
The type of PNM file.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/